<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Toast Example</title>
    <link
      href="https://fonts.googleapis.com/css2?family=Quicksand:wght@300;400;500;600;700&display=swap"
      rel="stylesheet"
    />
    <link
      href="https://fonts.googleapis.com/icon?family=Material+Icons"
      rel="stylesheet"
    />
    <link rel="stylesheet" href="toast.css" />
  </head>
  <body>
    <div class="container">
      <h1>Simple toast element with pure js and animation effect example</h1>

      <div class="button-container">
        <!-- only for demo -->
        <p
          class="btn btn-toast dark"
          data-title="Simple toast 1"
          data-text="Simple toast with default duration of 3s"
          onclick="defaultToast(true, 'Hello World Default', 10000)"
        >
          Default duration
        </p>
        <p
          class="btn btn-toast dark"
          data-title="Simple toast 2"
          data-text="Simple toast with custom duration of 5s - data-duration=5000"
          data-duration="5000"
          onclick="defaultToast(false, 'Hello World Default', 10000)"
        >
          Custom duration
        </p>
        <p
          class="btn btn-toast dark"
          data-title="Simple toast 3"
          data-text="Simple toast with no duration - data-duration=0"
          data-duration="0"
        >
          No duration
        </p>
      </div>
      <div class="button-container">
        <!-- only for demo -->
        <p
          class="btn btn-toast blue"
          data-type="system"
          data-title="Simple system toast"
          data-text="Simple system toast - data-type=system"
          onclick="systemToast(true, 'Hello World System', 5000)"
        >
          System toast with title
        </p>
        <p
          class="btn btn-toast blue"
          data-type="system"
          data-title="Simple system toast"
          data-text="Simple system toast - data-type=system"
          onclick="systemToast(false, 'Hello World System', 5000)"
        >
          System toast without title
        </p>

        <p
          class="btn btn-toast green"
          data-type="success"
          data-title="Simple success toast"
          data-text="Simple success toast - data-type=success"
          onclick="successToast(true, 'Hello World Success', 5000)"
        >
          Success toast with title
        </p>
        <p
          class="btn btn-toast green"
          data-type="success"
          data-title="Simple success toast"
          data-text="Simple success toast - data-type=success"
          onclick="successToast(false, 'Hello World Success', 5000)"
        >
          Success toast without title
        </p>

        <p
          class="btn btn-toast orange"
          data-type="warning"
          data-title="Simple warning toast"
          data-text="Simple warning toast - data-type=warning"
          onclick="warningToast(true, 'Hello World Warning', 5000)"
        >
          Warning toast with title
        </p>
        <p
          class="btn btn-toast orange"
          data-type="warning"
          data-title="Simple warning toast"
          data-text="Simple warning toast - data-type=warning"
          onclick="warningToast(false, 'Hello World Warning', 5000)"
        >
          Warning toast without title
        </p>

        <p
          class="btn btn-toast red"
          data-type="bug"
          data-title="Simple bug toast"
          data-text="Simple bug toast - data-type=bug"
          onclick="bugToast(true, 'Hello World Bug', 5000)"
        >
          Bug toast with title
        </p>
        <p
          class="btn btn-toast red"
          data-type="bug"
          data-title="Simple bug toast"
          data-text="Simple bug toast - data-type=bug"
          onclick="bugToast(false, 'Hello World Bug', 5000)"
        >
          Bug toast without title
        </p>

        <p
          class="btn btn-toast light_blue"
          data-type="info"
          data-title="Simple bug toast"
          data-text="Simple bug toast - data-type=bug"
          onclick="infoToast(true, 'Hello World Info', 5000)"
        >
          Info toast with title
        </p>
        <p
          class="btn btn-toast light_blue"
          data-type="info"
          data-title="Simple bug toast"
          data-text="Simple bug toast - data-type=bug"
          onclick="infoToast(false, 'Hello World Info', 5000)"
        >
          Info toast without title
        </p>
      </div>
    </div>
    <script src="./toast.js"></script>
  </body>
</html>
